Light Logo
Variables

Create a variable

Create a new variable. The value of secret variables is never returned.

POST
/variables
AuthorizationBearer <token>

In: header

valueValue

The new value of the variable.

Length1 <= length
keyKey

The unique key that identifies the variable.

Length1 <= length
secretSecret

Represents whether the variable's value should be treated as a secret. The value of secrets are not returned.

Response Body

curl -X POST "https://api.wrift.ai/v1/variables" \  -H "Content-Type: application/json" \  -d '{    "value": "string",    "key": "string",    "secret": true  }'
{
  "key": "string",
  "value": "string",
  "secret": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}